{"title":"Delete defaultDimensions from entities (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Deletes the default dimensions of the item in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Delete defaultDimensions from entities (v1.0)","slug":"delete-defaultdimensions-from-entities-v10","at":0,"chars":1702},{"level":2,"title":"HTTP request","slug":"http-request","at":112,"chars":618},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":730,"chars":244},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":974,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":1043,"chars":173},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1216,"chars":223},{"level":2,"title":"Related information","slug":"related-information","at":1439,"chars":263}],"text":"# Delete defaultDimensions from entities (v1.0)\nDeletes the default dimensions of the item in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({companyId})/items({itemId})/defaultDimensions({itemId},{dimensionId})\nDELETE businesscentralPrefix/companies({companyId})/customers({customerId})/defaultDimensions({customer},{dimensionId})\nDELETE businesscentralPrefix/companies({companyId})/employees({employeeId})/defaultDimensions({employeeId},{dimensionId})\nDELETE businesscentralPrefix/companies({companyId})/vendors({vendorId})/defaultDimensions({vendorId},{dimensionId})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|Required. When this request header is included and the eTag provided does not match the current tag on the specific entity, the entity will not be updated.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```204 No Content``` response code and it deletes the default dimensions for the entity and corresponding dimension.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nDELETE https://{businesscentralPrefix}/api/v1.0/companies({companyId})/items({itemId})/defaultDimensions({itemId},{dimensionId})\n```\nResponse\nNo Content.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\ndefaultDimension resource<../resources/dynamics_defaultdimension>\ndynamics_defaultdimensions_get\ndynamics_defaultdimensions_create\ndynamics_defaultdimensions_update"}